'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (babel) {
  return {
    visitor: {
      ImportDeclaration: function ImportDeclaration(path, state) {
        var droppedModules = state.opts.for;
        var _path$node = path.node;
        var source = _path$node.source;
        var specifiers = _path$node.specifiers;

        var moduleSource = source.value;

        if (droppedModules.indexOf(source.value) < 0) {
          return;
        }

        specifiers.forEach(function (specifier) {
          var importedIdentifierName = specifier.local.name;

          var _path$scope$getBindin = path.scope.getBinding(importedIdentifierName);

          var referencePaths = _path$scope$getBindin.referencePaths;

          referencePaths.forEach(function removeExpression(referencePath) {
            var pathToRemove = referencePath;
            do {
              if (pathToRemove.type === 'ExpressionStatement') {
                break;
              }
            } while (pathToRemove = pathToRemove.parentPath);

            pathToRemove.remove();
          });
        });

        path.remove();
      }
    }
  };
};
